clang-tools 10.0.0

Classes | Namespaces | Functions
ClangTidy.h File Reference
`#include "ClangTidyCheck.h"`
`#include "ClangTidyDiagnosticConsumer.h"`
`#include "ClangTidyOptions.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <memory>`
`#include <vector>`
Include dependency graph for ClangTidy.h:

Go to the source code of this file.

## Classes
class | clang::tidy::ClangTidyASTConsumerFactory

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tooling
| clang::tidy

## Functions
std::vector< std::string > | clang::tidy::getCheckNames (const ClangTidyOptions &Options, bool AllowEnablingAnalyzerAlphaCheckers)
| Fills the list of check names that are enabled when the provided filters are applied. More...
ClangTidyOptions::OptionMap | clang::tidy::getCheckOptions (const ClangTidyOptions &Options, bool AllowEnablingAnalyzerAlphaCheckers)
| Returns the effective check-specific options. More...
std::vector< ClangTidyError > | clang::tidy::runClangTidy (clang::tidy::ClangTidyContext &Context, const tooling::CompilationDatabase &Compilations, ArrayRef< std::string > InputFiles, llvm::IntrusiveRefCntPtr< llvm::vfs::OverlayFileSystem > BaseFS, bool EnableCheckProfile=false, llvm::StringRef StoreCheckProfile=StringRef())
| Run a set of clang-tidy checks on a set of files. More...
void | clang::tidy::handleErrors (llvm::ArrayRef< ClangTidyError > Errors, ClangTidyContext &Context, bool Fix, unsigned &WarningsAsErrorsCount, llvm::IntrusiveRefCntPtr< llvm::vfs::FileSystem > BaseFS)
| Displays the found `Errors` to the users. More...
void | clang::tidy::exportReplacements (StringRef MainFilePath, const std::vector< ClangTidyError > &Errors, raw_ostream &OS)
| Serializes replacements into YAML and writes them to the specified output stream. More...